/Users/bernard/b20/bsoft/include/rwDM.h(3)

NAME
/Users/bernard/b20/bsoft/include/rwDM.h - Header file for reading and writing DM files.

SYNOPSIS

#include 'rwimg.h'

  Classes
struct DMhead
struct DMMachead
struct DM3head
struct DM4head

  Enumerations
enum DMDataType { NULL_DATA, SIGNED_INT16_DATA, REAL4_DATA, COMPLEX8_DATA, OBSELETE_DATA, PACKED_DATA, UNSIGNED_INT8_DATA, SIGNED_INT32_DATA, RGB_DATA, SIGNED_INT8_DATA, UNSIGNED_INT16_DATA, UNSIGNED_INT32_DATA, REAL8_DATA, COMPLEX16_DATA, BINARY_DATA, RGBA_FLOAT32_DATA, RGB_UINT16_DATA, RGB_FLOAT64_DATA, RGBA_FLOAT64_DATA, RGBA_UINT16_DATA, RGB_UINT8_DATA, RGBA_UINT8_DATA, LAST_DATA, OS_RGBA_UINT8_DATA }

  Functions
int readDM (Bimage *p, int readdata, int img_select)
Reading a Digital Micrograph image file format.
int writeDM (Bimage *p)
Writing a Digital Micrograph map image file format.

Detailed Description

Header file for reading and writing DM files.

Author:
    Bernard Heymann

Date:
    Created: 20020619

    Modified: 20150916

    Format: 2D electron microscope CCD image file format for the Digital Micrograph package

Definition in file rwDM.h.

Enumeration Type Documentation

  enum DMDataType

Enumerator

NULL_DATA

SIGNED_INT16_DATA

REAL4_DATA

COMPLEX8_DATA

OBSELETE_DATA

PACKED_DATA

UNSIGNED_INT8_DATA

SIGNED_INT32_DATA

RGB_DATA

SIGNED_INT8_DATA

UNSIGNED_INT16_DATA

UNSIGNED_INT32_DATA

REAL8_DATA

COMPLEX16_DATA

BINARY_DATA

RGBA_FLOAT32_DATA

RGB_UINT16_DATA

RGB_FLOAT64_DATA

RGBA_FLOAT64_DATA

RGBA_UINT16_DATA

RGB_UINT8_DATA

RGBA_UINT8_DATA

LAST_DATA

OS_RGBA_UINT8_DATA

Definition at line 13 of file rwDM.h.

Function Documentation

  int readDM (Bimage * p, int readdata, int img_select)

Reading a Digital Micrograph image file format.

Parameters:
    *p the image structure.
    readdata flag to activate reading of image data.
    img_select image selection in multi-image file (-1 = all images).

Returns:
    int error code (<0 means failure). A 2D/3D image format used with CCD cameras in electron microscopy. File format extensions: .dm, .DM Two types: Fixed format (new) and the Macintosh format (old) Fixed format: Header size: 24 bytes (fixed). Byte order determination: An endian flag: Must be 65535 or swap everything Data types: many. Macintosh format: Hermitian Header size: 8 bytes (fixed). Byte order determination: Big-endian Data types: many.

Definition at line 41 of file rwDM.cpp.

  int writeDM (Bimage * p)

Writing a Digital Micrograph map image file format.

Parameters:
    *p the image structure.

Returns:
    int error code (<0 means failure). A 2D/3D image format used in electron microscopy.

Definition at line 81 of file rwDM.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.